%define major 1
%define libname %mklibname openspecfun %{major}
%define develname %mklibname -d openspecfun


Summary:        Library providing a collection of special mathematical functions
Name:           openspecfun
Version:        0.5.3
Release:        %mkrel 5
License:        MIT and Public Domain
Group:          System/Libraries
Source0:        https://github.com/JuliaLang/openspecfun/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
URL:            https://github.com/JuliaLang/openspecfun
BuildRequires:  gcc-gfortran

%description
Currently provides AMOS and Faddeeva. AMOS (from Netlib) is a
portable package for Bessel Functions of a Complex Argument and
Nonnegative Order; it contains subroutines for computing Bessel
functions and Airy functions. Faddeeva allows computing the
various error functions of arbitrary complex arguments (Faddeeva
function, error function, complementary error function, scaled
complementary error function, imaginary error function, and Dawson function);
given these, one can also easily compute Voigt functions, Fresnel integrals,
and similar related functions as well.

%package -n %{libname}
Summary:        Library providing a collection of special mathematical functions
Group:          System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
Currently provides AMOS and Faddeeva. AMOS (from Netlib) is a
portable package for Bessel Functions of a Complex Argument and
Nonnegative Order; it contains subroutines for computing Bessel
functions and Airy functions. Faddeeva allows computing the
various error functions of arbitrary complex arguments (Faddeeva
function, error function, complementary error function, scaled
complementary error function, imaginary error function, and Dawson function);
given these, one can also easily compute Voigt functions, Fresnel integrals,
and similar related functions as well.

%package -n %{develname}
Summary:    Library providing a collection of special mathematical functions
Group:      System/Libraries
Requires:   %{libname} = %{version}-%{release}
Provides:   %{name}-devel = %{version}-%{release}

%description -n %{develname}
Contains header files for developing applications that use the %{name}
library.

%prep
%setup -q %{name}-%{version}

%build
%make_build \
      FFLAGS="%{optflags}" \
      CFLAGS="%{optflags}" \
      USE_OPENLIBM=0 \
      includedir=%{_includedir}

%install
make install prefix=%{_prefix} \
             libdir=%{_libdir} \
             includedir=%{_includedir} \
             DESTDIR=%{buildroot}

rm %{buildroot}/%{_libdir}/libopenspecfun.a

%files -n %{libname}
%doc LICENSE.md README.md
%{_libdir}/libopenspecfun.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/libopenspecfun.so
%{_includedir}/Faddeeva.h


%changelog
* Tue Mar 15 2022 umeabot <umeabot> 0.5.3-5.mga9
+ Revision: 1792206
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.5.3-4.mga8
+ Revision: 1515729
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.5.3-3.mga7
+ Revision: 1300037
- Mageia 7 Mass Rebuild

* Tue Aug 14 2018 eatdirt <eatdirt> 0.5.3-2.mga7
+ Revision: 1251511
- Rebuild for new gfortran

* Tue Oct 17 2017 joequant <joequant> 0.5.3-1.mga7
+ Revision: 1172344
- imported package openspecfun

